Package org.flowable.engine.delegate.event.impl

# Class FlowableProcessEventImpl

java.lang.Object
org.flowable.common.engine.impl.event.FlowableEventImpl
org.flowable.common.engine.impl.event.FlowableEngineEventImpl
org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl

All Implemented Interfaces:
  `FlowableEngineEvent`, `FlowableEvent`, `FlowableProcessEngineEvent`

Direct Known Subclasses:
  `FlowableActivityEventImpl`, `FlowableEntityEventImpl`, `FlowableEntityExceptionEventImpl`, `FlowableProcessCancelledEventImpl`, `FlowableSequenceFlowTakenEventImpl`, `FlowableVariableEventImpl`

public class FlowableProcessEventImpl extends org.flowable.common.engine.impl.event.FlowableEngineEventImpl implements FlowableProcessEngineEvent

Author:
  Joram Barrez

- ## Field Summary

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `scopeDefinitionId, scopeId, scopeType, subScopeId`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableProcessEventImpl(FlowableEngineEventType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DelegateExecution`
  `getExecution()`
  Return the execution this event is associated with.

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setScopeDefinitionId, setScopeId, setScopeType, setSubScopeId, setType`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEngineEvent

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

- ## Constructor Details

  - ### FlowableProcessEventImpl

    public FlowableProcessEventImpl(FlowableEngineEventType type)

- ## Method Details

  - ### getExecution

    public DelegateExecution getExecution()
    Description copied from interface: `FlowableProcessEngineEvent`
    Return the execution this event is associated with. Returns null, if the event was not related to an active execution. Note that this will only return a `DelegateExecution` instance when a command context is active.
    Specified by:
      `getExecution` in interface `FlowableProcessEngineEvent`